AbstractGroovyPageBinding (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class AbstractGroovyPageBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              org.codehaus.groovy.grails.web.pages.AbstractGroovyPageBinding

    @java.lang.SuppressWarnings("rawtypes")
    public abstract class AbstractGroovyPageBinding
    extends groovy.lang.Binding

Nested Class Summary
`protected static class` | `AbstractGroovyPageBinding.BindingMapEntry`
`protected static class` | `AbstractGroovyPageBinding.GroovyPageBindingMap`

Constructor Summary
`AbstractGroovyPageBinding()`
`AbstractGroovyPageBinding(java.util.Map variables)`
`AbstractGroovyPageBinding(java.lang.String[] args)`

Method Summary
`java.util.Set` | `getVariableNames()`
`java.util.Map` | `getVariables()`
`java.util.Map` | `getVariablesMap()`
`void` | `setVariableDirectly(java.lang.String name, java.lang.Object value)`

Methods inherited from class groovy.lang.Binding
groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### AbstractGroovyPageBinding

    public AbstractGroovyPageBinding()

### AbstractGroovyPageBinding

    public AbstractGroovyPageBinding(java.util.Map variables)

### AbstractGroovyPageBinding

    public AbstractGroovyPageBinding(java.lang.String[] args)

Method Detail

### getVariableNames

    public java.util.Set getVariableNames()

### getVariables

    @java.lang.Override
    public java.util.Map getVariables()

### getVariablesMap

    public java.util.Map getVariablesMap()

### setVariableDirectly

    @java.lang.SuppressWarnings("unchecked")
    public void setVariableDirectly(java.lang.String name, java.lang.Object value)

Groovy Documentation